Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.simple
Class SimpleLogManager

    java.lang.Object
      rice.environment.logging.simple.SimpleLogManager

All Implemented Interfaces:
  LogManager

public class SimpleLogManager
extends java.lang.Object
implements LogManager

This class creates loggers that log to a specified PrintStream System.out by default.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  Jeff Hoye

Constructor Summary
`SimpleLogManager(Parameters params)` Convienience constructor.
`SimpleLogManager(java.io.PrintStream stream, Parameters params)` Convienience constructor.
`SimpleLogManager(java.io.PrintStream stream, TimeSource timeSource, Parameters params)` Constructor.
`SimpleLogManager(java.io.PrintStream stream, TimeSource timeSource, Parameters params, java.lang.String prefix)` Constructor for SimpleLogManager.
`SimpleLogManager(TimeSource timeSource, Parameters params)` Convienience constructor.

Method Summary
`Logger` | `getLogger(java.lang.Class clazz, java.lang.String instance)` Returns the Logger matching the paramerters, constructs a new one if an appropriate one hasn't yet been constructed.
`Parameters` | `getParameters()` Gets the Parameters attribute of the SimpleLogManager object
`java.io.PrintStream` | `getPrintStream()` Gets the PrintStream attribute of the SimpleLogManager object
`TimeSource` | `getTimeSource()` Gets the TimeSource attribute of the SimpleLogManager object
`void` | `setPrintStream(java.io.PrintStream stream)` Sets the PrintStream attribute of the SimpleLogManager object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogManager

    public SimpleLogManager(java.io.PrintStream stream,
                            TimeSource timeSource,
                            Parameters params)

  Constructor.

Parameters:
  `stream` - the stream to write to
  `timeSource` - the timesource to get times from
  `params` - DESCRIBE THE PARAMETER

### SimpleLogManager

    public SimpleLogManager(java.io.PrintStream stream,
                            TimeSource timeSource,
                            Parameters params,
                            java.lang.String prefix)

  Constructor for SimpleLogManager.

Parameters:
  `stream` - DESCRIBE THE PARAMETER
  `timeSource` - DESCRIBE THE PARAMETER
  `params` - DESCRIBE THE PARAMETER
  `prefix` - DESCRIBE THE PARAMETER

### SimpleLogManager

    public SimpleLogManager(Parameters params)

  Convienience constructor. Defauts to System.out as the stream, and SimpleTimeSource as the timesource.

Parameters:
  `params` - DESCRIBE THE PARAMETER

### SimpleLogManager

    public SimpleLogManager(java.io.PrintStream stream,
                            Parameters params)

  Convienience constructor. Defauts to SimpleTimeSource as the timesource.

Parameters:
  `stream` - the stream to write to
  `params` - DESCRIBE THE PARAMETER

### SimpleLogManager

    public SimpleLogManager(TimeSource timeSource,
                            Parameters params)

  Convienience constructor. Defauts to System.out as the stream.

Parameters:
  `timeSource` - the timesource to get times from
  `params` - DESCRIBE THE PARAMETER

Method Detail

### getPrintStream

    public java.io.PrintStream getPrintStream()

  Gets the PrintStream attribute of the SimpleLogManager object

  Returns:
    The PrintStream value

### getParameters

    public Parameters getParameters()

  Gets the Parameters attribute of the SimpleLogManager object

  Returns:
    The Parameters value

### getTimeSource

    public TimeSource getTimeSource()

  Gets the TimeSource attribute of the SimpleLogManager object

  Returns:
    The TimeSource value

### getLogger

    public Logger getLogger(java.lang.Class clazz,
                            java.lang.String instance)

  Description copied from interface: `LogManager`
  Returns the Logger matching the paramerters, constructs a new one if an appropriate one hasn't yet been constructed.

  Specified by:
    `getLogger` in interface `LogManager`
  Parameters:
    `clazz` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER
  Returns:
    The Logger value

### setPrintStream

    public void setPrintStream(java.io.PrintStream stream)

  Sets the PrintStream attribute of the SimpleLogManager object

  Parameters:
    `stream` - The new PrintStream value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.